Bug 182862 - x11-fonts/croscorefonts-fonts-ttf : add some more fonts.
Summary: x11-fonts/croscorefonts-fonts-ttf : add some more fonts.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-09 23:30 UTC by Pedro F. Giffuni
Modified: 2014-05-06 05:54 UTC (History)
0 users

See Also:


Attachments
file.diff (2.55 KB, patch)
2013-10-09 23:30 UTC, Pedro F. Giffuni
no flags Details | Diff
patch-croscorefonts-fonts-ttf.txt (2.87 KB, patch)
2013-10-10 15:58 UTC, Pedro F. Giffuni
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2013-10-09 23:30:00 UTC
Google has added some more fonts to their collection for Chrome-OS that are metric compatible with Microsoft Cambria and Calibri fonts.

We should probably investigate how to add a fontconf local file to set the equivalences.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-10-09 23:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pedro F. Giffuni 2013-10-10 15:58:54 UTC
 Update attachment to make clear that the base fonts are now under ALv2.
Comment 3 Raphael Kubo da Costa freebsd_committer 2013-10-16 21:35:32 UTC
Since these new fonts are not part of ChromeOS's core fonts collection
(if we can call it that way), wouldn't it make more sense to follow
upstream and have a separate port for ChromeOS extra fonts?
Comment 4 Pedro F. Giffuni 2013-10-17 02:11:08 UTC
 Hello;

 On Wed, 16 Oct 2013 23:35:32 +0300, Raphael Kubo da Costa 
 <rakuco@FreeBSD.org> wrote:
> Since these new fonts are not part of ChromeOS's core fonts 
> collection
> (if we can call it that way), wouldn't it make more sense to follow
> upstream and have a separate port for ChromeOS extra fonts?

 To be honest, I am not sure if we can/should clasify them in the same 
 package.
 They do share in common that they are metric-compatible to MS fonts and 
 they
 are in the same site.

 FWIW, this looks like the homesite for the Google collection:

 https://code.google.com/p/googlefontdirectory/

 Pedro.
Comment 5 Raphael Kubo da Costa freebsd_committer 2013-10-17 20:14:11 UTC
<giffunip@tutopia.com> writes:

> On Wed, 16 Oct 2013 23:35:32 +0300, Raphael Kubo da Costa
> <rakuco@FreeBSD.org> wrote:
>> Since these new fonts are not part of ChromeOS's core fonts
>> collection
>> (if we can call it that way), wouldn't it make more sense to follow
>> upstream and have a separate port for ChromeOS extra fonts?
>
> To be honest, I am not sure if we can/should clasify them in the same
> package.
> They do share in common that they are metric-compatible to MS fonts
> and they
> are in the same site.
>
> FWIW, this looks like the homesite for the Google collection:
>
> https://code.google.com/p/googlefontdirectory/

My opinion isn't really worth anything here, but I'd rather separate
croscorefonts from crosextrafonts as upstream does, but not go as far as
separate crosextrafonts from crosextrafonts-carlito (which upstream
does for some weird reason):

https://chromium.googlesource.com/chromiumos/overlays/chromiumos-overlay/+/master/media-fonts/
Comment 6 Pedro F. Giffuni 2013-10-18 16:33:16 UTC
 On Thu, 17 Oct 2013 22:14:11 +0300, Raphael Kubo da Costa 
 <rakuco@FreeBSD.org> wrote:
> <giffunip@tutopia.com> writes:
>
>> On Wed, 16 Oct 2013 23:35:32 +0300, Raphael Kubo da Costa
>> <rakuco@FreeBSD.org> wrote:
>>> Since these new fonts are not part of ChromeOS's core fonts
>>> collection
>>> (if we can call it that way), wouldn't it make more sense to follow
>>> upstream and have a separate port for ChromeOS extra fonts?
>>
>> To be honest, I am not sure if we can/should clasify them in the 
>> same
>> package.
>> They do share in common that they are metric-compatible to MS fonts
>> and they
>> are in the same site.
>>
>> FWIW, this looks like the homesite for the Google collection:
>>
>> https://code.google.com/p/googlefontdirectory/
>
> My opinion isn't really worth anything here, but I'd rather separate
> croscorefonts from crosextrafonts as upstream does, but not go as far 
> as
> separate crosextrafonts from crosextrafonts-carlito (which upstream
> does for some weird reason):
>
> 
> https://chromium.googlesource.com/chromiumos/overlays/chromiumos-overlay/+/master/media-fonts/

 The reason is the licensing Carlito is (weak) copyleft while the
 rest of the fonts are ALv2. for the ChromOS guys the distinction
 may be important.

 I would just prefer to install all the MS-compatible fonts in one
 package instead of hunting them down all over the tree. My opinion
 doesn't really matter either though, all I care about is that upstream
 OpenOffice already recognizes the equivalences so we should ship them.

 Pedro.
Comment 7 Jung-uk Kim freebsd_committer 2014-05-06 05:52:52 UTC
State Changed
From-To: open->closed

New ports were added in r353059 and r353060.  Thanks!